VREF(9)

NAME
vref - increment the use count for a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vref(struct vnode *vp);

DESCRIPTION
Increment the v_usecount field of the vnode specified by vp.

Each vnode maintains a reference count of how many parts of the system are using the vnode. This allows the system to detect when a vnode is no longer being used and can be safely recycled for a different file.

Any code in the system which uses a vnode (e.g. during the operation of some algorithm or to store in a data structure) should call vref().

SEE ALSO
vget(9), vnode(9), vput(9), vrele(9)

AUTHORS
This man page was originally written by Doug Rabson for FreeBSD.